## org.jvnet.maven.plugin.antrun
Class ManifestEntryFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.ListFilter
                  org.jvnet.maven.plugin.antrun.ManifestEntryFilter

All Implemented Interfaces:
  java.lang.Cloneable, GraphVisitor

    public class ManifestEntryFilter

extends ListFilter

Filter out a `DependencyGraph` by looking at manifest entries in the jar file.

Author:
  Kohsuke Kawaguchi

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ManifestEntryFilter()`

Method Summary
`void` `setHas(java.lang.String v)` The manifest main entry name that the jar has to have.
`boolean` `visit(DependencyGraph.Node node)` Visits a node.

Methods inherited from class org.jvnet.maven.plugin.antrun.ListFilter
`process, visit`

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManifestEntryFilter

    public ManifestEntryFilter()

Method Detail

### setHas

    public void setHas(java.lang.String v)

  The manifest main entry name that the jar has to have.

### visit

    public boolean visit(DependencyGraph.Node node)

  Description copied from interface: `GraphVisitor`
  Visits a node.

  Returns:
    false to cut the traversal here and don't visit any of forward edges from this node.

Copyright © 2011. All Rights Reserved.